slepc-3.21.1 2024-04-26
Report Typos and Errors

# FNSetType

Selects the type for the FN object.

### Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNSetType(FN fn,FNType type)

Logically Collective

### Input Parameters

| fn | - the math function context
| type | - a known type

### Notes

The default is FNRATIONAL, which includes polynomials as a particular case as well as simple functions such as f(x)=x and f(x)=constant.

### See Also

FNGetType()

### Level

intermediate

### Location

src/sys/classes/fn/interface/fnbasic.c

### Examples

src/eps/tutorials/ex36.c
src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
Index of all FN routines
Table of Contents for all manual pages
Index of all manual pages